org.apache.nutch.tools.arc

## Class ArcInputFormat

- java.lang.Object
- - org.apache.hadoop.mapred.FileInputFormat<Text,BytesWritable>
  - - org.apache.nutch.tools.arc.ArcInputFormat

- All Implemented Interfaces:
    InputFormat<Text,BytesWritable>

      public class ArcInputFormat
      extends FileInputFormat<Text,BytesWritable>

  A input format the reads arc files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat

      `FileInputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapred.FileInputFormat

      `INPUT_DIR_RECURSIVE, LOG, NUM_INPUT_FILES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArcInputFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordReader<Text,BytesWritable>` | `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Returns the `RecordReader` for reading the arc file.

    - ### Methods inherited from class org.apache.hadoop.mapred.FileInputFormat

      `addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, getSplits, isSplitable, listStatus, makeSplit, makeSplit, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArcInputFormat

          public ArcInputFormat()

  - ### Method Detail

    - #### getRecordReader

          public RecordReader<Text,BytesWritable> getRecordReader(InputSplit split,
                                                         JobConf job,
                                                         Reporter reporter)
                                                           throws IOException

      Returns the `RecordReader` for reading the arc file.
      Specified by:
        `getRecordReader` in interface `InputFormat<Text,BytesWritable>`
      Specified by:
        `getRecordReader` in class `FileInputFormat<Text,BytesWritable>`
      Parameters:
        `split` - The InputSplit of the arc file to process.
        `job` - The job configuration.
        `reporter` - The progress reporter.
      Throws:
        `IOException`

Copyright © 2015 The Apache Software Foundation